learn-assignments
Update Course Due Dates
Update due dates on courses within an assignment.
Requires admin role. Assignment is loaded org-scoped via load_assignment.
PATCH
/
api
/
v1
/
learn
/
assignments
/
{assignment_id}
/
courses
Update Course Due Dates
curl --request PATCH \
--url https://api.example.com/api/v1/learn/assignments/{assignment_id}/courses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"courseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dueDate": "2023-12-25"
}
]
}
'import requests
url = "https://api.example.com/api/v1/learn/assignments/{assignment_id}/courses"
payload = { "updates": [
{
"courseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dueDate": "2023-12-25"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updates: [{courseId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', dueDate: '2023-12-25'}]
})
};
fetch('https://api.example.com/api/v1/learn/assignments/{assignment_id}/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedCount": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request to update due dates on multiple courses within an assignment.
Show child attributes
Show child attributes
Response
Successful Response
Response from updating course due dates.
Was this page helpful?
Previous
Remove Course From AssignmentRemove a course from an assignment.
Requires admin role. Assignment is loaded org-scoped via `load_assignment`.
Next
⌘I
Update Course Due Dates
